import { Command, flags } from "@oclif/command";
import { LocalFolder } from "./lib/LocalFolder";
import { NeatConfig } from "./lib/NeatConfig";
import { ScriptCommandType } from "./lib/NeatConfigTypes";
import { TreeType } from "./lib/RemoteRepo";
declare class Neat extends Command {
    static description: string;
    static flags: {
        version: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        only: flags.IOptionFlag<string | undefined>;
        except: flags.IOptionFlag<string | undefined>;
        "force-inject": import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        "force-download": import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        force: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        debug: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
        description: string;
    }[];
    run(): Promise<void>;
    inspect(repo: string | undefined): Promise<void>;
    dryRun(tree: TreeType[], neatConfig: NeatConfig, local: LocalFolder): Promise<boolean>;
    execCommand(command: string | ScriptCommandType): Promise<unknown>;
}
export = Neat;
